<html>
<head>
<meta http-equiv="Content-Language" content="ja">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Author" content="Zend Japan">
<meta http-equiv="Description" content="DBCSの入出力を伴うＣＬ実行">
<title>sample08</title>
</head>
<body>
<?php
//i5接続
require_once 'inc/i5conn.inc';

//改行
$eol = "\r\n";

//テスト実行するCL PGM
$test_cl = 'ZTESTL/ZTESTCL';

//パラメータ項目の定義と呼出
//コマンドの場合と異なり、パラメータの詳細を教えてあげる必要があります
$pgm_all_parameters = array(
	 array('Name' => 'TXTR', 'IO' => I5_OUT, 'Type' => I5_TYPE_CHAR, 'Length' => '50')
	,array('Name' => 'TXTC', 'IO' => I5_IN,  'Type' => I5_TYPE_CHAR, 'Length' => '50')
);

$pgm_con = i5_program_prepare($test_cl, $pgm_all_parameters);
if(!$pgm_con){
	echo 'プログラムを呼び出す準備ができません<br>' . $eol;
	echo i5_errormsg();

    i5_close($i5_con);
    echo '</body></html>';
    return;
}

$pgm_out_parameters = array('TXTR' => 'NOWTEXT');
$pgm_in_parameters  = array('TXTC' => '値を設定する');

$pgm_ret = i5_program_call($pgm_con, $pgm_in_parameters, $pgm_out_parameters);
if(!$pgm_ret){
	echo 'プログラムを実行できません<br>' . $eol;
    echo i5_errormsg();
}else{
    echo 'プログラムを実行しました<br>' . $eol;
	echo 'TXTR:' . $NOWTEXT . '<BR>';
}

i5_program_close($pgm_con);

i5_close($i5_con);

//i5接続でお知らせ
//Zend Core for i5/OS Ver2.0.1日本語版では i5_connectの
//第4引数に指定できるコードページ変換ファイルが5035用と
//5025用でしたが、Zend Core for i5/OS Ver2.0.1AJ では
//１３９９用を追加しました。
?>
</body>
</html>